#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Security.Claims;
using System.Security.Principal;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class SiteMaster : MasterPage
{
    private const string AntiXsrfTokenKey = "__AntiXsrfToken";
    private const string AntiXsrfUserNameKey = "__AntiXsrfUserName";
    private string _antiXsrfTokenValue;

    protected void Page_Init(object sender, EventArgs e)
    {
        // The code below helps to protect against XSRF attacks
        var requestCookie = Request.Cookies[AntiXsrfTokenKey];
        Guid requestCookieGuidValue;
        if (requestCookie != null && Guid.TryParse(requestCookie.Value, out requestCookieGuidValue))
        {
            // Use the Anti-XSRF token from the cookie
            _antiXsrfTokenValue = requestCookie.Value;
            Page.ViewStateUserKey = _antiXsrfTokenValue;
        }
        else
        {
            // Generate a new Anti-XSRF token and save to the cookie
            _antiXsrfTokenValue = Guid.NewGuid().ToString("N");
            Page.ViewStateUserKey = _antiXsrfTokenValue;

            var responseCookie = new HttpCookie(AntiXsrfTokenKey)
            {
                HttpOnly = true,
                Value = _antiXsrfTokenValue
            };
            if (FormsAuthentication.RequireSSL && Request.IsSecureConnection)
            {
                responseCookie.Secure = true;
            }
            Response.Cookies.Set(responseCookie);
        }

        Page.PreLoad += master_Page_PreLoad;
    }

    protected void master_Page_PreLoad(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // Set Anti-XSRF token
            ViewState[AntiXsrfTokenKey] = Page.ViewStateUserKey;
            ViewState[AntiXsrfUserNameKey] = Context.User.Identity.Name ?? String.Empty;
        }
        else
        {
            // Validate the Anti-XSRF token
            if ((string)ViewState[AntiXsrfTokenKey] != _antiXsrfTokenValue
                || (string)ViewState[AntiXsrfUserNameKey] != (Context.User.Identity.Name ?? String.Empty))
            {
                throw new InvalidOperationException("Validation of Anti-XSRF token failed.");
            }
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        
    }
    protected void userStatus_Load(object sender, EventArgs e)
    {
        //if (!IsPostBack)
        //{
        //    if (Request.IsAuthenticated)
        //    {
        //        string username = "";
        //        // Get information about the currently logged on user
        //        MembershipUser currentUser = Membership.GetUser(false);
        //        if (currentUser != null)
        //        {
        //            username = currentUser.UserName.ToString();
        //        }

        //        //Ricerca codice ID Intermediario 
        //        SqlConnection connection22DOC = new SqlConnection(ConfigurationManager.ConnectionStrings["ULNWEBConnectionString"].ToString());
        //        string str22DOC = "SELECT dbo.PROMOTORI.ID, dbo.PROMOTORI.ITEM, dbo.PROMOTORI.COD_INTERMEDIARIO, dbo.GRIGLIA_PROVVIGIONALE.DIR, dbo.GRIGLIA_PROVVIGIONALE.MF,  dbo.GRIGLIA_PROVVIGIONALE.ATTIVO FROM   dbo.PROMOTORI INNER JOIN   dbo.GRIGLIA_PROVVIGIONALE ON dbo.PROMOTORI.ID = dbo.GRIGLIA_PROVVIGIONALE.IDPROMOTORE WHERE  (dbo.PROMOTORI.COD_INTERMEDIARIO =  '" + username + "') AND (dbo.GRIGLIA_PROVVIGIONALE.ATTIVO = 1)";
        //        SqlCommand command22DOC = new SqlCommand(str22DOC, connection22DOC);
        //        connection22DOC.Open();
        //        SqlDataReader rdID22DOC = default(SqlDataReader);
        //        rdID22DOC = command22DOC.ExecuteReader();
        //        if (rdID22DOC.HasRows)
        //        {
        //            while (rdID22DOC.Read())
        //            {
        //                ((Label)HeadLoginView.FindControl("idIntermediario")).Text= rdID22DOC.GetValue(0).ToString();
        //                ((Label)HeadLoginView.FindControl("labelNOMEintermediario")).Text = rdID22DOC.GetValue(1).ToString();
        //            }
        //        }
        //        rdID22DOC.Close();
        //        connection22DOC.Close();
        //    }
        //}
    }


    }